## org.apache.batik.css.engine.sac
Class AbstractSiblingSelector

    java.lang.Object
      org.apache.batik.css.engine.sac.AbstractSiblingSelector

All Implemented Interfaces:
  ExtendedSelector, org.w3c.css.sac.Selector, org.w3c.css.sac.SiblingSelector

Direct Known Subclasses:
  CSSDirectAdjacentSelector

    public abstract class AbstractSiblingSelector

extends java.lang.Object
implements org.w3c.css.sac.SiblingSelector, ExtendedSelector

This class provides an abstract implementation of the `SiblingSelector` interface.

Field Summary
`protected short` `nodeType` The node type.
`protected org.w3c.css.sac.Selector` `selector` The selector.
`protected org.w3c.css.sac.SimpleSelector` `simpleSelector` The simple selector.

Fields inherited from interface org.w3c.css.sac.SiblingSelector
`ANY_NODE`

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Constructor Summary
`protected` `AbstractSiblingSelector(short type, org.w3c.css.sac.Selector sel, org.w3c.css.sac.SimpleSelector simple)` Creates a new SiblingSelector object.

Method Summary
`boolean` `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one.
`short` `getNodeType()` Returns the node type.
`org.w3c.css.sac.Selector` `getSelector()` SAC: Implements `SiblingSelector.getSelector()`.
`org.w3c.css.sac.SimpleSelector` `getSiblingSelector()` SAC: Implements `SiblingSelector.getSiblingSelector()`.
`int` `getSpecificity()` Returns the specificity of this selector.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.css.engine.sac.ExtendedSelector
`fillAttributeSet, match`

Methods inherited from interface org.w3c.css.sac.Selector
`getSelectorType`

Field Detail

### nodeType

    protected short nodeType

  The node type.

### selector

    protected org.w3c.css.sac.Selector selector

  The selector.

### simpleSelector

    protected org.w3c.css.sac.SimpleSelector simpleSelector

  The simple selector.

Constructor Detail

### AbstractSiblingSelector

    protected AbstractSiblingSelector(short type,
                                      org.w3c.css.sac.Selector sel,
                                      org.w3c.css.sac.SimpleSelector simple)

  Creates a new SiblingSelector object.

Method Detail

### getNodeType

    public short getNodeType()

  Returns the node type.

  Specified by:
    `getNodeType` in interface `org.w3c.css.sac.SiblingSelector`

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the reference object with which to compare.

### getSpecificity

    public int getSpecificity()

  Returns the specificity of this selector.

  Specified by:
    `getSpecificity` in interface `ExtendedSelector`

### getSelector

    public org.w3c.css.sac.Selector getSelector()

  SAC: Implements `SiblingSelector.getSelector()`.

  Specified by:
    `getSelector` in interface `org.w3c.css.sac.SiblingSelector`

### getSiblingSelector

    public org.w3c.css.sac.SimpleSelector getSiblingSelector()

  SAC: Implements `SiblingSelector.getSiblingSelector()`.

  Specified by:
    `getSiblingSelector` in interface `org.w3c.css.sac.SiblingSelector`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.